package cn.datax.service.system.service;

import cn.datax.service.system.api.entity.SysConfigEntity;
import cn.datax.service.system.api.dto.SysConfigDto;
import cn.datax.common.base.BaseService;

/**
 * <p>
 * 系统参数配置信息表 服务类
 * </p>
 *
 * @author yuwei
 * @since 2020-05-19
 */
public interface SysConfigService extends BaseService<SysConfigEntity> {

    void saveSysConfig(SysConfigDto sysConfig);

    void updateSysConfig(SysConfigDto sysConfig);

    SysConfigEntity getSysConfigById(String id);

    void deleteSysConfigById(String id);
}
